| ### Creating Attribute Types Use the dcecp xattrschema create command to create attribute types. When you use this command you can supply the attribute options summarized in the following table. Note that the options described in this table can also be supplied without the dashes in attribute lists. Options to Create Extended Attributes
Option | Meaning
-aclmgr description | A required list of the ACL manager types that support the objects to which this attribute type can be attached and the permissions supported by those managers. No default. Attribute type ACL managers are described fully in Defining the ACL Managers for Attributes.
-annotation string | A PCS text string that annotates the attribute type. If the string contains spaces, enclose it in braces or quotes. The default is blank.
-applydefs | This option is not currently implemented.
-encoding type | The format of the attribute type instance value. Attribute encoding is described more fully in Defining Attribute Type Encoding.
-intercell | This option is not currently implemented.
-multivalued {yes | no} | An indication of whether or not the attribute is multivalued (yes=multivalued; no=not multivalued). If an attribute is multivalued, multiple instances of the same attribute type can be attached to a single registry object. For example, if attribute A is coded as multivalued, a single principal can have multiple instances of attribute A. If it is not coded as multivalued, a single principal can have only one instance of attribute A. The default is no.
-reserved {yes | no} | An indication of whether or not the attribute is reserved (yes =reserved; no =not reserved). Reserved attribute types cannot be deleted unless the reserved restriction is removed. The default is no.
-scope name | Not implemented in the current release.to name or an /principal/krbgt principals). /principal/krbgt/dresden.com, blank.
-trigtype type | Identifies whether or not a trigger server is associated with the attribute type and, if a trigger server is associated, the type of trigger. Possible values are the following: none - A trigger server is not associated with the attribute type. query - A query trigger server is associated with the attribute type. update - An update trigger server is associated with the attribute type. If the -trigtype option is set to query or update, you must supply the -trigbind option to specify the trigger server's binding. See Defining Attribute Trigger Servers for more information.
-trigbind binding | If a trigger server is associated with the attribute type, this option specifies the trigger serving binding.
-unique {yes | no} | An indication of whether or not each instance of the attribute type must be unique within the cell (yes=unique; no=not unique). For example, assume that an instance of attribute type A is attached to 25 principals in the cell. If attribute type A is coded as unique, the value of the A attribute for each of those 25 principals must be different. If it is not coded as unique, all 25 principals can be assigned the same value for attribute A. The default is no.
-uuid uuid | A UUID that identifies the attribute type internally. Note that the name supplied as an argument to the dcecp xattrschema create command is used to access the attribute type. If you do not supply a UUID, the system will generate one.
The syntax of the dcecp xattrschema create command is as follows: xattrschema create attr_name {attr_options} where: attr_name Is the fully qualified name of the attribute type to create. attr_option Is one or more of the options described in the table above. The following sample command creates the extended attribute type named employee_num and assigns it an ACL manager of principal and an encoding type of integer: dcecp> xattrschema create /.:/sec/xattrschema/employee_num \ > -aclmgr {principal r r r r} -encoding integer dcecp> Although this sample uses options to supply information, you can use standard dcecp attribute lists. Note that you can supply a list of names to create multiple schema entries with one operation. However, you should be aware that, if the command argument contains more than one schema name, you cannot specify a UUID attribute and the attributes you specify are applied to all entries created. ###